Package: org.codehaus.groovy.runtime.memoize

## [Java] Class NullProtectionStorage

- org.codehaus.groovy.runtime.memoize.NullProtectionStorage

- All Implemented Interfaces and Traits:
    ProtectionStorage

      public final class NullProtectionStorage
      extends Object

  A NullObject pattern implementation for ProtectionStorage Doesn't protect any resources. Used when the user doesn't mind to eventually have the whole memoize cache emptied by gc.

  Authors:
    Vaclav Pech

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `touch(Object key, Object value)` Does nothing

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void touch(Object key, Object value)

      Does nothing

      Parameters:
        `key` - The key of the element to renew
        `value` - A value to newly associate with the key